Loading...
Searching...
No Matches
caf::scheduled_actor::mailbox_visitor Struct Reference

Consumes messages from the mailbox. More...

`#include <scheduled_actor.hpp>`

## Public Member Functions

intrusive::task_result | operator() (size_t, upstream_queue &, mailbox_element &)
| Consumes upstream messages.
intrusive::task_result | operator() (size_t, downstream_queue &, stream_slot slot, policy::downstream_messages::nested_queue_type &, mailbox_element &)
| Consumes downstream messages.
template<class Queue>
intrusive::task_result | operator() (size_t, Queue &, mailbox_element &x)
intrusive::task_result | operator() (mailbox_element &x)

## Public Attributes

scheduled_actor * | self
size_t & | handled_msgs
size_t | max_throughput

## Detailed Description

Consumes messages from the mailbox.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/scheduled_actor.hpp